ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.CodeGen.Sanity

Description

One ounce of sanity checking is worth 10000000000000000 ounces of staring blindly at assembly code trying to find the problem..

Synopsis

- checkBlock :: CmmBlock -> NatBasicBlock Instr -> NatBasicBlock Instr

# Documentation

checkBlock :: CmmBlock -> NatBasicBlock Instr -> NatBasicBlock Instr

Enforce intra-block invariants.